Subject: [NEXTEL-1] Communication Mgr. Job Posting in Boca Raton, Florida

From: Marcel <[email-masked]>
Date: Mon, 24 Feb 2003 19:19:33 -0500

-------- Original Message --------
From: "Mark <[email-masked]>" <[email-masked]>
Subject: Communication Mgr. Job Posting in Boca Raton, Florida

Surf:

http://www.ci.boca-raton.fl.us/employ/Jobshtml/HTMLPage3.html

Mark

Your use of Yahoo! Groups is subject to http://docs.yahoo.com/info/terms/